--
-- This file is part of TALER
-- Copyright (C) 2026 Taler Systems SA
--
-- TALER is free software; you can redistribute it and/or modify it under the
-- terms of the GNU General Public License as published by the Free Software
-- Foundation; either version 3, or (at your option) any later version.
--
-- TALER is distributed in the hope that it will be useful, but WITHOUT ANY
-- WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-- A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along with
-- TALER; see the file COPYING.  If not, see <http://www.gnu.org/licenses/>
--

BEGIN;

SELECT _v.register_patch('exchange-0008', NULL, NULL);

SET search_path TO exchange;

CREATE FUNCTION alter_table_batch_deposits8()
RETURNS void
LANGUAGE plpgsql
AS $$
DECLARE
BEGIN
  ALTER TABLE batch_deposits
    ADD COLUMN extra_wire_subject_metadata
      TEXT DEFAULT (NULL);
END
$$;

CREATE FUNCTION alter_table_wire_out8()
RETURNS void
LANGUAGE plpgsql
AS $$
DECLARE
BEGIN
  ALTER TABLE wire_out
    ADD COLUMN extra_wire_subject_metadata
      TEXT DEFAULT (NULL);
END
$$;


INSERT INTO exchange_tables
    (name
    ,version
    ,action
    ,partitioned
    ,by_range)
  VALUES
    ('batch_deposits8'
    ,'exchange-0008'
    ,'alter'
    ,TRUE
    ,FALSE),
    ('wire_out8'
    ,'exchange-0008'
    ,'alter'
    ,TRUE
    ,FALSE);


COMMIT;
